petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecCUDARestoreArray

Restore a CUDA device pointer previously acquired with VecCUDAGetArray().

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecCUDARestoreArray(Vec v, PetscScalar **a)

This marks the host data as out of date. Subsequent access to the vector data on the host side with for instance VecGetArray() incurs a data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUDARestoreArray() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUDAGetArray(), VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages